import java.io.*;
import javax.sound.sampled.*;

public class fm extends jeinKernel {

//VARS-BEGIN
double phase;
double modulator, envelope, line, slowmod, slowmod2;
   
    
//VARS-END

     public fm(Integer nsamps,
                              Integer inputSkip,
                              Integer inputEnd,
                              File inputFile,
                              AudioFormat audioFormat)
		throws  UnsupportedAudioFileException, IOException{
           super(nsamps, inputSkip, inputEnd, inputFile, audioFormat);
           init();
     }

public void init() {
//INIT-BEGIN
           
                    
                     
//INIT-END
     }


public void script() {
//SCRIPT-BEGIN
           phase = two_PI * t /sr;
           line = t / nsamps;
           envelope = Math.exp(-2. * t / sr);
           slowmod = (Math.sin(2.5 * phase) + 1) / 2;
           slowmod2 = (Math.cos(1.9765 * phase) + 1) / 2;
           modulator = (3 * (1. - line) + 4) * Math.sin(116. * phase);
           y = envelope * Math.sin(modulator + 116 * phase) * (.5 * slowmod + 1);
           y += envelope * Math.sin(modulator + 115 * phase) * (.5 * slowmod2 + 1);

//SCRIPT-END
     }
}